cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table/%7BtableId%7D/order \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"anchorId":"string","position":"before"}'table
Update table order
Update the display order of a table in the base. This affects the order in which tables are shown in the UI.
PUT
/
base
/
{baseId}
/
table
/
{tableId}
/
order
cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table/%7BtableId%7D/order \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"anchorId":"string","position":"before"}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Table order successfully updated.
Last modified on March 5, 2026
Was this page helpful?
⌘I

